Bug 1669421 (CVE-2019-3806) - CVE-2019-3806 pdns-recursor: Lua hooks are not applied in certain configuration
Summary: CVE-2019-3806 pdns-recursor: Lua hooks are not applied in certain configuration
Status: NEW
Alias: CVE-2019-3806
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190121,repor...
Keywords: Security
Depends On: 1669422 1669423
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-25 08:21 UTC by Dhananjay Arunesh
Modified: 2019-01-25 08:26 UTC (History)
2 users (show)

Fixed In Version: pdns-recursor 4.1.9
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-01-25 08:21:26 UTC
An issue has been found in PowerDNS Recursor where Lua hooks are not properly applied to queries received over TCP in some specific combination of settings, possibly bypassing security policies enforced using Lua.

Reference:
https://docs.powerdns.com/recursor/security-advisories/powerdns-advisory-2019-01.html

Comment 1 Dhananjay Arunesh 2019-01-25 08:26:09 UTC
Created pdns-recursor tracking bugs for this issue:

Affects: fedora-all [bug 1669422]

Comment 2 Dhananjay Arunesh 2019-01-25 08:26:33 UTC
Created pdns-recursor tracking bugs for this issue:

Affects: epel-all [bug 1669423]


Note You need to log in before you can comment on or make changes to this bug.